AutoML API
===========

orca.automl.auto_estimator
---------------------------

A general estimator supports automatic model tuning. It allows users to fit and search the best hyperparameter for their model.

.. automodule:: zoo.orca.automl.auto_estimator
    :members:
    :show-inheritance:


orca.automl.hp
----------------------------------------

Sampling specs to be used in search space configuration. 

.. automodule:: zoo.orca.automl.hp
    :members:
    :show-inheritance:

automl.metrics
----------------------------

Evaluate unscaled metrics between y true value and y predicted value.

.. automodule:: zoo.orca.automl.metrics
    :members:
    :show-inheritance:
